Skip to main content
GET
curl
This is a beta feature according to Algolia’s Terms of Service (“Beta Services”).
Suggestions are sorted from most recently created to oldest. Required ACL: search

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Query Parameters

target.appId
string
required

Algolia application ID to list suggestions for.

Minimum string length: 1
Pattern: ^[a-zA-Z0-9_-]+$
excludeDismissed
boolean

Whether to leave out the suggestions that userId dismissed.

target.index
string

Only list suggestions that target this index.

Minimum string length: 1
userId
string

ID of the user viewing the suggestions. When set, suggestions that this user dismissed within the dismissal cooldown include dismissedAt.

Minimum string length: 1

Response

OK

suggestions
object[]

Active suggestions sorted from most recently created to oldest.

Last modified on November 11, 2026